//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Web.UI;
using CommunityServer.Components;
using CommunityServer.Galleries.Components;

namespace CommunityServer.Galleries.Controls
{
	/// <summary>
	/// Summary description for Script.
	/// </summary>
	public class Script : Control
	{
		public Script()
		{
			GalleryConfig = GalleryConfiguration.Instance();
		}

		protected GalleryConfiguration GalleryConfig = null;

		protected override void Render(HtmlTextWriter writer)
		{
			writer.WriteLine(scriptFormat, Globals.ApplicationPath + "/Utility/global.js");

			/*Gallery gallery = Galleries.GetGallery(CSContext.Current.ApplicationKey);
			if(gallery != null)
			{
			}*/
		}

		protected string ScriptPath(string theme, string fileName)
		{
			if(theme == null)
				theme = GalleryConfig.DefaultTheme;

			string path = string.Format("{0}{1}/script/{2}", GalleryConfig.ThemeLocation, theme, fileName);
			return this.ResolveUrl(path);
		}

		static string scriptFormat = "<script src=\"{0}\" type=\"text/javascript\"></script>";

	}
}